.TH RECINFO 1 "Feb 6 1996" "Stanford University" "SUIF Compiler"
.SH NAME
recinfo \- find recursion information
.SH SYNOPSIS
.B recinfo
.I infile
.I outfile
{
.I infile
.I outfile
} *
.SH DESCRIPTION
The
.I recinfo
program does simple analysis to find procedures that are guaranteed
not to be called recursively, directly or indirectly.  It only keeps
one procedure in memory at a time and only runs one pass on each
procedure.
.SH HISTORY
This program was written by Chris Wilson.
